# graphics-prefs.tcl,v 1.2.4.1 2000/02/03 09:58:47 ron Exp
# Set the prefer_text_only_p cookie.

if { [ns_conn form] != "" } {
    set_form_variables
    # prefer_text_only_p (optional, default is f)
    # return_url (optional, default is referrer)
}

set headers [ns_conn headers]

if { ![info exists prefer_text_only_p] || $prefer_text_only_p == "" 
     || ![regexp {^[tf]$} $prefer_text_only_p] } {
    # If prefer_text_only_p was not set from form or if it was incorrect,
    # try to get it from the cookie.
    set cookie [ns_set get $headers "Cookie"]
    if { $cookie != "" 
         && [regexp {prefer_text_only_p=([tf])} $cookie {} current_value] } {
        # Cookie was set. Set prefer_text_only_p to opposite of current value.
        if { $current_value == "t" } {
            set prefer_text_only_p "f"
        } else {
            set prefer_text_only_p "t"
        }
    } else {
        # Cookie wasn't set. Set default to opposite of PlainFancySiteDefault.
	set site_default [ad_parameter PlainFancySiteDefault style]
	if { $site_default == "fancy" } {
	    set prefer_text_only_p "t"
	} else {
	    set prefer_text_only_p "f"
	}
    }
}  

if { ![info exists return_url] || $return_url == "" } {
    set return_url [ns_set get $headers "Referer"]
}

# See if we are a personalized user. If so, update the personalization.
set user_id [ad_verify_and_get_user_id]
if { $user_id != "" } {
    set db [ns_db gethandle]
    # Ignore any database errors.
    catch { 
	if { [database_to_tcl_string $db "select count(*) from users_preferences where user_id = $user_id"] == 0 } {
	    ns_db dml $db "insert into users_preferences (user_id, prefer_text_only_p) values ($user_id, '$prefer_text_only_p')"
	} else {
	    ns_db dml $db "update users_preferences set prefer_text_only_p = '$prefer_text_only_p' where user_id = $user_id" 
	}
    }
    ns_db releasehandle $db

    
    util_memoize_flush "ad_style_user_preferences_from_db $user_id"
}


ns_returnredirect "/cookie-chain.tcl?cookie_name=prefer_text_only_p&cookie_value=$prefer_text_only_p&final_page=[ns_urlencode $return_url]&expire_state=p"




