# index.tcl,v 1.2.4.1 2000/02/03 09:58:48 ron Exp
set_form_variables 0

# possibly archive_p 

if { [info exists archive_p] && $archive_p } {
    set page_title "News Archives"
} else {
    set page_title "News"
}

set header_image [ad_parameter IndexPageDecoration news]

set context_bar [ad_context_bar_ws_or_index "News"]

set db_conns [ns_db gethandle [philg_server_default_pool] 2]
set db [lindex $db_conns 0]
set db_sub [lindex $db_conns 1]

if { [info exists archive_p] && $archive_p } {
    set query "select * 
from news_items
where sysdate() > expiration_date
and approval_state = 'approved'
order by release_date desc, creation_date desc"
} else {
    set query "select * 
from news_items
where sysdate() between release_date and expiration_date
and approval_state = 'approved'
order by release_date desc, creation_date desc"
}

set selection [ns_db select $db $query]

set news_items ""
set counter 0 

while { [ns_db getrow $db $selection] } {
    set_variables_after_query
    incr counter 
    append news_items "<li>[util_AnsiDatetoPrettyDate $release_date]: "
    if { (![info exists archive_p] || $archive_p == 0) && $counter <= 3 && [string length $body] < 300 } {
	# let's consider displaying the text right here, but
	# only if there aren't any comments 
	set n_comments [database_to_tcl_string $db_sub "select count(*) from general_comments where on_what_id = $news_item_id and on_which_table = 'news'"]
	if { $n_comments > 0 } {
	    # just do the usual thing
	    append news_items "<a href=\"item.tcl?news_item_id=$news_item_id\">$title</a>\n"
	} else {
	    append news_items "$title\n<blockquote>\n[util_maybe_convert_to_html $body $html_p]\n"
	    if [ad_parameter SolicitCommentsP news 1] {
		append news_items "<br><br>\n<A HREF=\"comment-add.tcl?news_item_id=$news_item_id\">comment</a>\n"
	    }
	    append news_items "</blockquote>\n"
	}
    } else {
	append news_items "<a href=\"item.tcl?news_item_id=$news_item_id\">$title</a>\n"
    }
}

if { $counter == 0 } {
    append news_items "no items found"
}

ns_db releasehandle $db
ns_db releasehandle $db_sub


set post_or_suggest_item ""

if { [ad_parameter ApprovalPolicy news] == "open"} {
    set post_or_suggest_item "<a href=\"post-new.tcl\">post an item</a>"
} elseif { [ad_parameter ApprovalPolicy news] == "wait"} {
    set post_or_suggest_item "<a href=\"post-new.tcl\">suggest an item</a>"
}

if { ![info exists archive_p] || $archive_p == 0 } {
    set archive_sentence "If you're looking for an old news article, check
<a href=\"index.tcl?archive_p=1\">the archives</a>."
} else {
    set archive_sentence "You can <a href=\"index.tcl\">return to current messages</a> now."
}

ad_return_template
