# item.tcl,v 1.1.4.1 2000/02/03 09:58:50 ron Exp
# 1998-11-18 philg item.tcl (one news item)

set_the_usual_form_variables
# news_item_id

set db [ns_db gethandle]
set selection [ns_db 0or1row $db "select title, body, html_p, n.approved_p, release_date, expiration_date, creation_user, creation_date, first_names, last_name
from news_items n, users u
where news_item_id = $news_item_id
and u.user_id = n.creation_user"]

if { $selection == "" } {
    ad_return_error "Can't find news item" "Can't find news item $news_item_id"
    return
}

set user_id [ad_get_user_id]

set_variables_after_query

set context_bar [ad_context_bar_ws_or_index [list "index.tcl" "News"] "One Item"]

set header_image [ad_parameter ItemPageDecoration news]
set body [util_maybe_convert_to_html $body $html_p]
set author "<a href=\"/shared/community-member.tcl?user_id=$creation_user\">$first_names $last_name</a>"


# see if there are any comments on this item
set selection [ns_db select $db "select comment_id, content, comment_date, first_names || ' ' || last_name as commenter_name, users.user_id as comment_user_id, html_p as comment_html_p from
general_comments, users
where on_what_id= $news_item_id 
and on_which_table = 'news'
and general_comments.approved_p = 't'
and general_comments.user_id = users.user_id"]

set comments ""
set first_iteration_p 1

while {[ns_db getrow $db $selection]} {
    set_variables_after_query
    if $first_iteration_p {
	append comments "<h4>Comments</h4>\n"
	set first_iteration_p 0
    }
    append comments "<blockquote>\n[util_maybe_convert_to_html $content $comment_html_p]\n"
    # if the user posted the comment, they are allowed to edit it
    if {$user_id == $comment_user_id} {
        append comments "<br><br>-- you <A HREF=\"comment-edit.tcl?comment_id=$comment_id\">(edit your comment)</a>"
    } else {
	append comments "<br><br>-- <a href=\"/shared/community-member.tcl?user_id=$comment_user_id\">$commenter_name</a>"
    }
    append comments "</blockquote>"
}
append comments "
<center>
<A HREF=\"comment-add.tcl?news_item_id=$news_item_id\">Add a comment</a>
</center>
"


ns_db releasehandle $db

ad_return_template
